Sponsored Content
Top Forums Shell Programming and Scripting please can any one help me bundle several files into one Post 302072099 by swissnez on Thursday 27th of April 2006 11:38:03 AM
Old 04-27-2006
Hammer & Screwdriver please can any one help me bundle several files into one

#!/bin/sh
#call function from loop
filevalidate()
{
case $# in
0) echo "usage enshar file1 file2 ... > outputfile ! " >/deb/sterr ;;
*) for filename
do

if [ $filename -gt 1 ]; then
echo "invalid pathname > try bin " $filename >/dev/stderr
exit 1
fi

if [ -d $filename ]; then
echo "is a directory!" $filename >/dev/stderr
exit 2
fi

if [ ! -r $filename ] || [ ! -f $filename ]; then
echo "unreadable or non existant " $filename >/dev/stderr
exit 3
fi

grep -- "^!EnShAr!" "$filename"

if [ $? -eq 0 ]; then
echo "cant enshar it or already enshared! " $filename >/dev/stderr
exit 5
fi
if [ $filename = "" ]; then
echo "usage is enshar file1 file2 .. > outputfile" >/dev/stderr
exit 6
fi

done ;;
esac
}


for filename in $*
do
filevalidate $filename
done

for filename in $*
do
echo cat \>$filename \<\<"\\!EnShAr!"
cat <$filename
echo "!EnShAr!"
echo set \`cksum $filename\`
set `cksum $filename`
echo "test \$filename = $filename || echo \$0: BAD checksum in
$filename >&2"
done

exit 0



#this is what i have so far and only works 80%
#kind regards
 

9 More Discussions You Might Find Interesting

1. HP-UX

installation of many patches / bundle

Hi, I need to install these 7 patches on my server: and the below are the 5 dependency to install these patches 1. PHNE_31097; 1(a). PHCO_33205 (dependency) b(a). PHCO_30398 (dependency) 2. PHSS_32508; 3. PHSS_32509; 4. PHSS_32510; 5. PHSS_30970; 6. PHSS_32731; 6(a). PHNE_28810... (2 Replies)
Discussion started by: vipsinghal
2 Replies

2. Solaris

smpatch and recommended bundle

Hello, I am working on patching several systems and have begun working with smpatch as a possibly quicker way to accomplish patching. I have some observations that trouble me. The "smpatch analyze" only shows a small number of patches for a system (yes the registration is complete with a... (0 Replies)
Discussion started by: justme3
0 Replies

3. AIX

Add a bundle to a lpp_source

Hi. I forgot a bundle (X11.dt) in the lpp_source (base OS AIX 7.1). The bundle is now in the CD drive, I need to add it permanently in the lpp_source. What do I have to do ? - copy (where ?) bundle on my NIM server (how to determine what files to copy to have all elements of the bundle ?) ?... (1 Reply)
Discussion started by: stephnane
1 Replies

4. Shell Programming and Scripting

zip files in bundle

Hi, Below is the scneario a.txt b.txt c.txt ....... i have written a script to zip these files & the output after executing script is a.txt.zip b.txt.zip c.txt.zip but i dnt want to zip each individual files it has to done in bundle. EX:A zip folder has to be created ,lets say... (2 Replies)
Discussion started by: jagadeeshn04
2 Replies

5. HP-UX

Install sequence in a bundle

Hi all. I'm wondering if there's a install sequence in a HPUX bundle? I'm trying to put many depots together into 1 single bundle, and use HPUX ignite to install this bundle. But I have to make sure one of the depot is last installed. I feel that if there're many different packages in a bundle,... (0 Replies)
Discussion started by: baibinghere
0 Replies

6. Shell Programming and Scripting

Help for Perl module bundle.

I have a file of lot of perl modules in tar.gz format. They all have dependency on each other for installation. Can anybody guide me for making a bundle so that I can run it in one go and install all the modules. Please note that I can't use CPAN as we don't have Internet connectivity on our... (3 Replies)
Discussion started by: nixhead
3 Replies

7. AIX

Create a bundle of user ids

if I want to create a bundle of user ids on some aix servers, if there is a way not need to do "passwd username" one by one user to set the password? Thanks (3 Replies)
Discussion started by: rainbow_bean
3 Replies

8. Shell Programming and Scripting

Delete duplicates in CA bundle

I do have a big CA bundle certificate file and each time if i get request to add new certificate to the existing bundle i need to make sure it is not present already. How i can validate the duplicates. The alignment of the certificate within the bundle seems to be different. Example: Cert 1... (7 Replies)
Discussion started by: diva_thilak
7 Replies

9. Emergency UNIX and Linux Support

Self signed ca-bundle.crt expired

Hi, I have an issue with openssl. Basically I have a ca certificate which has expired and I have regenerated a new ca.cert from the ca.key file and I have concatenated the output of the new ca.crt file and ca-bundle.crt to a new ca-bundle.crt. Have restarted apache, however I still get the... (1 Reply)
Discussion started by: maverick_here
1 Replies
ID3_GET_VERSION(3)							 1							ID3_GET_VERSION(3)

id3_get_version - Get version of an ID3 tag

SYNOPSIS
int id3_get_version (string $filename) DESCRIPTION
id3_get_version(3) retrieves the version(s) of the ID3 tag(s) in the MP3 file. If a file contains an ID3 v1.1 tag, it always contains a 1.0 tag, as version 1.1 is just an extension of 1.0. PARAMETERS
o $filename - The path to the MP3 file Instead of a filename you may also pass a valid stream resource RETURN VALUES
Returns the version number of the ID3 tag of the file. As a tag can contain ID3 v1.x and v2.x tags, the return value of this function should be bitwise compared with the predefined constants ID3_V1_0, ID3_V1_1 and ID3_V2. EXAMPLES
Example #1 id3_get_version(3) example <?php $version = id3_get_version( "path/to/example.mp3" ); if ($version & ID3_V1_0) { echo "Contains a 1.x tag "; } if ($version & ID3_V1_1) { echo "Contains a 1.1 tag "; } if ($version & ID3_V2) { echo "Contains a 2.x tag "; } ?> The above example will output something similar to: Contains a 1.x tag Contains a 1.1 tag SEE ALSO
id3_set_tag(3), id3_get_tag(3), id3_remove_tag(3). PHP Documentation Group ID3_GET_VERSION(3)
All times are GMT -4. The time now is 04:03 PM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy